// @flow
import React from 'react';
import { expect } from 'chai';
import { mount } from 'enzyme';
import sinon from 'sinon';
import { spies } from '@test';

import { ToolchainEditor as C } from '.';

import testTcs from '@test/test_tcs.json';

// TODO: fix web workers breaking tests
describe.skip('<ToolchainEditor />', () => {
	let wrapper;

	afterEach(() => {
		if(wrapper && wrapper.unmount)
			wrapper.unmount();
	});

	describe('accepts', () => {
		const tcs = [
		].concat(testTcs);

		tcs.forEach(function(tc){
			const saveFunc = () => {};
			it(`${ tc.name }`, () => {
				wrapper = mount(
					<C
						data={tc}
						toolchains={tcs}
						saveFunc={saveFunc}
					/>
				);

				expect(wrapper).to.have.props(
					['data', 'toolchains', 'saveFunc']
				).deep.equal(
					[tc, tcs, saveFunc]
				);
			});
		});
	});

	describe('creates', () => {

	});
});
